Module | Sequel::SQL::ComplexExpressionMethods
In: | lib/sequel/sql.rb

Adds methods that allow you to treat an object as an instance of a specific ComplexExpression subclass. This is useful if another library overrides the methods defined by Sequel.

For example, if Symbol#/ is overridden to produce a string (for example, to make file system path creation easier), the following code will not do what you want:

      :price/10 > 100

In that case, you need to do the following:

      :price.sql_number/10 > 100

### Methods

extract sql_boolean sql_number sql_string

### Public Instance methods

extract(datetime_part)

Extract a datetime_part (e.g. year, month) from self:

      :date.extract(:year) # SQL:  extract(year FROM "date")

Also has the benefit of returning the result as a NumericExpression instead of a generic ComplexExpression.

The extract function is in the SQL standard, but it doesn‘t doesn‘t use the standard function calling convention.

[Source]

         # File lib/sequel/sql.rb, line 243
    243:       def extract(datetime_part)
    244:         Function.new(:extract, PlaceholderLiteralString.new("#{datetime_part} FROM ?", [self])).sql_number
    245:       end

sql_boolean()

Return a BooleanExpression representation of self.

[Source]

         # File lib/sequel/sql.rb, line 248
    248:       def sql_boolean
    249:         BooleanExpression.new(:NOOP, self)
    250:       end

sql_number()

Return a NumericExpression representation of self.

[Source]

         # File lib/sequel/sql.rb, line 253
    253:       def sql_number
    254:         NumericExpression.new(:NOOP, self)
    255:       end

sql_string()

Return a StringExpression representation of self.

[Source]

         # File lib/sequel/sql.rb, line 258
    258:       def sql_string
    259:         StringExpression.new(:NOOP, self)
    260:       end

[Validate]